net.sourceforge.pmd.lang.java.rule.strings

## Class AvoidDuplicateLiteralsRuleTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.RuleTst
  - - net.sourceforge.pmd.testframework.SimpleAggregatorTst
    - - net.sourceforge.pmd.lang.java.rule.strings.AvoidDuplicateLiteralsRuleTest

-     public class AvoidDuplicateLiteralsRuleTest
      extends SimpleAggregatorTst

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sourceforge.pmd.testframework.SimpleAggregatorTst

      `SimpleAggregatorTst.CustomXmlTestClassMethodsRunner`

  - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.testframework.RuleTst

      `DEFAULT_LANGUAGE, DEFAULT_LANGUAGE_VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvoidDuplicateLiteralsRuleTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static junit.framework.Test` | `suite()`
    `void` | `testAll()` Run a set of tests for all rules added in the setup method.
    `void` | `testStringParserEmptyString()`
    `void` | `testStringParserEscapedChar()`
    `void` | `testStringParserEscapedEscapedChar()`
    `void` | `testStringParserSimple()`

    - ### Methods inherited from class net.sourceforge.pmd.testframework.SimpleAggregatorTst

      `addRule, runTests, runTests, runTests`

    - ### Methods inherited from class net.sourceforge.pmd.testframework.RuleTst

      `extractTestsFromXml, extractTestsFromXml, extractTestsFromXml, findRule, getCleanRuleName, runTest, runTestFromString, runTestFromString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvoidDuplicateLiteralsRuleTest

          public AvoidDuplicateLiteralsRuleTest()

  - ### Method Detail

    - #### testAll

          public void testAll()

      Description copied from class: `SimpleAggregatorTst`
      Run a set of tests for all rules added in the setup method.
      Overrides:
        `testAll` in class `SimpleAggregatorTst`

    - #### testStringParserEmptyString

          public void testStringParserEmptyString()

    - #### testStringParserSimple

          public void testStringParserSimple()

    - #### testStringParserEscapedChar

          public void testStringParserEscapedChar()

    - #### testStringParserEscapedEscapedChar

          public void testStringParserEscapedEscapedChar()

    - #### suite

          public static junit.framework.Test suite()

Copyright © 2002-2013 InfoEther. All Rights Reserved.